package de.unikoblenz.fgbks.api.test;

import de.unikoblenz.fgbks.base.wordnet.WordnetService;
import de.unikoblenz.fgbks.base.wordnet.WordnetServiceFunctions;
import java.util.Set;
import javax.enterprise.context.ApplicationScoped;

@ApplicationScoped
public class WordnetServiceX implements WordnetServiceFunctions {

  private WordnetService wordnetService = WordnetService.getInstance();

  @Override
  public boolean areNounsSynonyms(String noun1, String noun2) {
    return wordnetService.areNounsSynonyms(noun1, noun2);
  }

  @Override
  public Set<String> getNounsSynonyms(String noun) {
    return wordnetService.getNounsSynonyms(noun);
  }
}
